# Uses of Interface
org.opensaml.saml.saml2.core.Advice

Packages that use Advice
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.profile
Classes for SAML 2.0 profile behavior.

## Uses of Advice in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return Advice
Modifier and Type
Method
Description
`Advice`
Assertion.`getAdvice()`
Gets the Advice for this assertion.
Methods in org.opensaml.saml.saml2.core with parameters of type Advice
Modifier and Type
Method
Description
`void`
Assertion.`setAdvice(Advice newAdvice)`
Sets the Advice for this assertion.

## Uses of Advice in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement Advice
Modifier and Type
Class
Description
`class`
`AdviceImpl`
A concrete implementation of `Advice`.
Fields in org.opensaml.saml.saml2.core.impl declared as Advice
Modifier and Type
Field
Description
`private Advice`
AssertionImpl.`advice`
Advice of the assertion.
Methods in org.opensaml.saml.saml2.core.impl that return Advice
Modifier and Type
Method
Description
`Advice`
AdviceBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Advice`
AdviceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Advice`
AssertionImpl.`getAdvice()`
Gets the Advice for this assertion.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type Advice
Modifier and Type
Method
Description
`void`
AssertionImpl.`setAdvice(Advice newAdvice)`
Sets the Advice for this assertion.

## Uses of Advice in org.opensaml.saml.saml2.profile

Methods in org.opensaml.saml.saml2.profile that return Advice
Modifier and Type
Method
Description
`static Advice`
SAML2ActionSupport.`addAdviceToAssertion(AbstractProfileAction action, Assertion assertion)`
Creates and adds a `Advice` to a given `Assertion`.